%define name camorama
%define version 0.19
%define release %mkrel 4

Name: %{name}
Summary: A GNOME webcam application
Version: %{version}
Release: %{release}
License: GPL
Group: Video
URL: http://camorama.fixedgear.org
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.desktop
Patch: camorama-0.19-fixes.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libgnomeui2-devel libglade2.0-devel
BuildRequires: png-devel ImageMagick
BuildRequires: intltool desktop-file-utils

%description
camorama is a program for controlling webcams. It is able to capture to various
image formats, as well as saving to a local dir or a FTP server on the web.
Right now you can change the video settings using the gui and apply some
filters.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch -p1 -b .fixes

%build
%configure2_5x
%make

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icon
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -m644 pixmaps/camorama-webcam-16.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
convert -sample 32x32 pixmaps/camorama.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 pixmaps/camorama.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
cp -rf %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/

%{find_lang} %{name}

desktop-file-install --vendor="" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--remove-category="Applications" \
	--remove-key="X-GNOME-Bugzilla-Component" \
	--remove-category="Graphics" \
	--add-category="Video" \
	--add-category="AudioVideo" \
	--add-category="GNOME" \
	$RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%if %mdkversion < 200900
%post
%post_install_gconf_schemas camorama
%{update_menus}
%endif

%preun
%preun_uninstall_gconf_schemas camorama

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %name.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/camorama
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jul 31 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.19-4mdv2009.0
+ Revision: 258516
- Added camorama-0.19-fixes.patch from libv4l.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.19-3mdv2009.0
+ Revision: 243429
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%preun_uninstall_gconf_schemas
    - use %%post_install_gconf_schemas/%%preun_uninstall_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.19-1mdv2008.1
+ Revision: 97309
- Add files

* Sun Jun 24 2007 Funda Wang <fundawang@mandriva.org> 0.18-1mdv2008.0
+ Revision: 43559
- fix xdg menu
- Add patches from debian to get it build
- patch not needed
  use images inside tarball
- New version
- Import camorama



* Thu Jan 05 2005 Lenny Cartier <lenny@mandriva.com> 0.17-3mdk
- rebuild with a debian like patch

* Fri Jan 02 2004 Franck Villaume <fvill@freesurf.fr> 0.17-2mdk
- add BuildRequires : png-devel
- cosmetic on spec file

* Thu Sep 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.17-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- fix locale
	- new version

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.16-5mdk
- rebuild against latest ORBit2
- fix buildrequires

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.16-4mdk
- adjust buildrequires

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.16-3mdk
- Fix BuildRequires (thanks to Stefan bot)

* Thu Jan 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Add schema registration => fix crash at startup..

* Tue Jan 21 2003 Austin Acton <aacton@yorku.ca> 0.16-1mdk
- 0.16
- play with files section

* Tue Dec 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.15-1mdk
- add icons
- from Matthias Debus <psic4t@netbands.de> :
	- initial contrib package
